org.apache.fop.render.pdf.pdfbox

## Class MergeAnnotations

- java.lang.Object
- - org.apache.fop.render.pdf.pdfbox.MergeAnnotations

- All Implemented Interfaces:
    HandleAnnotations<java.lang.Object>

      public class MergeAnnotations
      extends java.lang.Object
      implements HandleAnnotations<java.lang.Object>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeAnnotations(PDFBoxAdapter pdfBoxAdapter, java.util.Map<java.lang.String,java.lang.Object> fields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cloneAnnotParent(org.apache.pdfbox.cos.COSBase annot, org.apache.fop.pdf.PDFDictionary clonedAnnot, java.util.Collection<org.apache.pdfbox.cos.COSName> exclude)`
    `java.util.Set<java.lang.Object>` | `getFields()`
    `void` | `load(org.apache.pdfbox.cos.COSObject annot, org.apache.pdfbox.pdmodel.interactive.form.PDAcroForm srcAcroForm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeAnnotations

          public MergeAnnotations(PDFBoxAdapter pdfBoxAdapter,
                                  java.util.Map<java.lang.String,java.lang.Object> fields)

  - ### Method Detail

    - #### getFields

          public java.util.Set<java.lang.Object> getFields()

      Specified by:
        `getFields` in interface `HandleAnnotations<java.lang.Object>`

    - #### load

          public void load(org.apache.pdfbox.cos.COSObject annot,
                           org.apache.pdfbox.pdmodel.interactive.form.PDAcroForm srcAcroForm)

      Specified by:
        `load` in interface `HandleAnnotations<java.lang.Object>`

    - #### cloneAnnotParent

          public void cloneAnnotParent(org.apache.pdfbox.cos.COSBase annot,
                                       org.apache.fop.pdf.PDFDictionary clonedAnnot,
                                       java.util.Collection<org.apache.pdfbox.cos.COSName> exclude)
                                throws java.io.IOException

      Specified by:
        `cloneAnnotParent` in interface `HandleAnnotations<java.lang.Object>`
      Throws:
        `java.io.IOException`

Copyright 2007-2024 The Apache Software Foundation. All Rights Reserved.